# Fetching Personal Offer

Prepare properties object including user context and game context properties.

Follow the example:

```
var props = new Dictionary<string, object>();

props["prizeKey"] = "GoldPack8";
props["offerId"] = "3622d2-c8c8-4c52-851c-d71af05";
props["currentPlayerLevel"] = 6;

Kibotu.GetPersonalizedBanner(props, asset =>
{
    if (asset != null && !asset.IsControlGroup)
    {
        string imageUrl = asset.imageFullUrl;
        // This is the personalized banner
        // You can now use imageUrl as needed
    }
    else
    {
        // Control group
        // Apply your regular handling for this case
    }
});
```

### Dummy response

During the integration phase, `debugForceImageUrl` property can be utilized to obtain a static placeholder image. This feature forces the system to return the specified image URL from Kibotu processor. This is useful for testing the integration before there are any approved assets in your account.

```
props["debugForceImageUrl"] = "https://dummyimage.com/900x520/000/fff.png&text=Hello+from+Kibotu";
```

Remove this feature from the production code once the integration is complete, to ensure the system functions with actual assets.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kibotu.ai/unity-sdk/fetching-personal-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
